PDA

View Full Version : Looking for advice on upgrading



pigdestroyer
01-07-2006, 03:28 PM
Hi, I've been using osCMax for sometime now and I believe the version I have is currently 1.5.5. I know at the time this didn't include using the BTS template system. I now have some stores using oscmax 2.0 and are working quite nicely.

The problem is I made alot of changes to my codebase to incorporate QTPro some time ago and this included making sure PayPal worked in conjunction with it. I would like to look at just upgrading to 2.0 so that all the implementations of QTPro and PayPal IPN are using the supported methods from oscMax rather than my nasty hack.

Any advice on migrating / upgrading to oscmax 2.0? I would assume that as long as I can adjust the database structure accordingly the new codebase should just work. I have tried dumping my database to the new database structure but some tables didn't import nicely at all. Does anyone have an SQL script of any kind to just do the changes for this.?

Any help or advice would be appreciated.

Thanks.

jpf
01-09-2006, 07:26 PM
MySQLDiff - Search the fourms for more info - get the program at sourceforge or at mysqldiff.org

Or an older Windows compatable executable command line version is here:
http://www.oscdox.com/PNphpBB2-viewtopic-t-2193-view-next.html

Good Luck